\documentclass[12pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[french]{babel}
\usepackage{ntheorem}
\usepackage{amsmath}
\usepackage{amsfonts}

\usepackage{kpfonts}

\usepackage[bookmarks=false,colorlinks,linkcolor=blue,pdfusetitle]{hyperref}

\pdfminorversion 7
\pdfobjcompresslevel 3

\usepackage{tabularx}

\usepackage{pgf}
\usepackage{tikz}
\usepackage{tkz-euclide}
\usetkzobj{all}
\usetikzlibrary{shapes}
\usepackage{fp}
\usepgflibrary{fixedpointarithmetic}

\usepackage[top=1.5cm,bottom=2cm,left=1cm,right=1cm]{geometry}

\usepackage{lastpage}

\usepackage{wrapfig}

\usepackage[autolanguage]{numprint}
\newcommand{\np}{\numprint}

\makeatletter
\renewcommand{\@evenfoot}%
        {\hfil \upshape \small page {\thepage} de \pageref{LastPage}}
\renewcommand{\@oddfoot}{\@evenfoot}

\renewcommand{\maketitle}%
{\framebox{%
    \begin{minipage}{1.0\linewidth}%
      \begin{center}%
        \Large \@title ~-- \@author \\%
        \@date%
      \end{center}%
    \end{minipage}}%
  \normalsize%
  %\vspace{1cm}%
}

\pgfmathdeclarefunction{erf}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathifthenelse{#1 > 0}{1}{-1}
  \edef\sign{\pgfmathresult}%
  \pgfmathparse{abs(#1)}
  \edef\x{\pgfmathresult}%
  \pgfmathparse{1/(1+0.3275911*\x)}
  \edef\t{\pgfmathresult}%
  \pgfmathparse{%
  1 - (((((1.061405429*\t -1.453152027)*\t) + 1.421413741)*\t
  -0.284496736)*\t + 0.254829592)*\t*exp(-(\x*\x))}
  \edef\y{\pgfmathresult}%
  \pgfmathparse{(\sign)*\y}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}
\pgfmathdeclarefunction{normcr}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathparse{(erf(#1/sqrt(2))+1)/2}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}

\makeatother


%\theoremstyle{break}
\theorembodyfont{\normalfont}
\renewtheorem{exercice}{Exercice}

\theoremstyle{nonumberplain}
\newtheorem{probleme}{Problème}

% Mise en forme des labels dans les énumérations
\renewcommand{\labelenumi}{\textbf{\theenumi.}}
\renewcommand{\labelenumii}{\textbf{\theenumii)}}
\renewcommand{\theenumi}{\arabic{enumi}}
\renewcommand{\theenumii}{\alph{enumii}}

\renewcommand{\labelitemi}{$\bullet$}

\setlength{\parsep}{0pt}
\setlength{\parskip}{5pt}
\setlength{\parindent}{0pt}
\setlength{\itemsep}{7pt}

\usepackage{multicol}
\setlength{\columnseprule}{0pt}

\everymath{\displaystyle\everymath{}}

\title{Loi normale}
\author{BTS}
\date{}

\begin{document}

\maketitle

\begin{center}
  \begin{tikzpicture}[domain=-5:5,smooth,scale=1.5,yscale=2,samples=50]
    \filldraw [fill=gray!30] plot [domain=-5:0.75] (\x,{exp((-\x*\x)/2)})
    -- (0.75,0) -- (-5,0) -- cycle ;
    \draw [->] (-5.5,0) -- (5.5,0) ;
    \draw [->] (0,0) -- (0,1.5) ;
    \draw plot (\x,{exp((-\x*\x)/2)}) ;

    \draw [<-] (-1,0.25) -- (-2,1) node[above left]
      {$\int_{-\infty}^t{\!e^{-\frac{x^2}{2}}\mathrm{d}\!t}$} ;

  \end{tikzpicture}
\end{center}

  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfkeys{/pgf/number format/.cd,fixed,precision=4}
  \scriptsize

\begin{center}
  \begin{tikzpicture}[xscale=1.2,yscale=0.5]
    \foreach \i in {0,...,9}{
      \foreach \j in {0,...,29}{
        \draw (\i-0.15,-\j) node[align=left] {\pgfmathparse{%
        normcr(\i/100+\j/10)}\FPround{\r}{\pgfmathresult}{4} \np{\r} } ;
      }
    }
    \foreach \i in {0,...,9}{
      \draw (\i,1) node {  \FPdiv{\r}{\i}{100}\FPround{\r}{\r}{2}
      \np{\r} } ;
    }
    \foreach \j in {0,...,29}{
      \draw (-1,-\j) node { \FPdiv\r{\j}{10}\FPround{\r}{\r}{1}
      \np{\r} } ;
    }

    \foreach \i in {0,...,9}{
      \draw[gray,thin] (\i-0.5,1.5) -- (\i-0.5,-29.5) ;
    }
    \foreach \j in {0,...,29}{
      \draw[gray,thin] (-1.5,-\j+0.5) -- (9.5,-\j+0.5) ;
    }

    \draw[very thick] (-0.5,1.5) -- (-0.5,-29.5) ;
    \draw[very thick] (4.5,1.5) -- (4.5,-29.5) ;

    \draw[very thick] (-1.5,0.5) -- (9.5,0.5);
    \draw[very thick] (-1.5,-9.5) -- (9.5,-9.5);
    \draw[very thick] (-1.5,-19.5) -- (9.5,-19.5) ;

    \edef\j{19}
    \edef\i{6}
    \filldraw[black!90,opacity=0.25] (-1.5,-\j+0.5) rectangle
    (\i+0.5,-\j-0.5) ;
    \filldraw[black!90,opacity=0.25] (\i+0.5,-\j+0.5) rectangle
    (\i-0.5,1.5) ;
    \draw (\i,-\j) node[draw,ellipse,thick] {\phantom{\np{0.000}}};
    \draw (\i,1) node[draw,ellipse,thick] {\phantom{0,00}};
    \draw (-1,-\j) node[draw,ellipse,thick] {\phantom{0,00}};

  \end{tikzpicture}
\end{center}

\begin{center}
    \scriptsize
      \begin{tabular}{|*{11}{c|}}\hline
        $\mathbf{t}$ & \np{3.0} & \np{3.1} & \np{3.2} & \np{3.3} &
        \np{3.4} & \np{3.5} & 3.6 & \np{3.8} & \np{4.0} & \np{4.5} \\
        \hline
        $\mathbf{\Pi(t)}$ & \pgfmathparse{normcr(3.0)} \FPround{\r}%
        {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.101)}\FPround{\r}%
        {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.2)}\FPround{\r}%
        {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.3)}\FPround{\r}%
        {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.4)}\FPround{\r}%
        {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.5)}\FPround{\r}%
        {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.6)}\FPround{\r}%
        {\pgfmathresult}{6}\np{\r} &\pgfmathparse{normcr(3.8)}\FPround{\r}%
        {\pgfmathresult}{6}\np{\r} &\pgfmathparse{normcr(4.0)}\FPround{\r}%
        {\pgfmathresult}{6}\np{\r} &\pgfmathparse{normcr(4.5)}\FPround{\r}%
        {\pgfmathresult}{6}\np{\r} \\ \hline
      \end{tabular}
\end{center}



\end{document}

